from lib.replacer import loaddict

template = """        {{ species_imagename }}_portrait1:
          POSITIVE_PROMPT: {{ species_prompt }}
          IMAGE_WIDTH: 640
          IMAGE_HEIGHT: 768
          SEED: 100000
        {{ species_imagename }}_portrait2:
          POSITIVE_PROMPT: {{ species_prompt }}
          IMAGE_WIDTH: 640
          IMAGE_HEIGHT: 768
          SEED: 200000
        {{ species_imagename }}_landscape1:
          POSITIVE_PROMPT: {{ species_prompt }}
          IMAGE_WIDTH: 768
          IMAGE_HEIGHT: 640
          SEED: 300000
        {{ species_imagename }}_landscape2:
          POSITIVE_PROMPT: {{ species_prompt }}
          IMAGE_WIDTH: 768
          IMAGE_HEIGHT: 640
          SEED: 400000
        {{ species_imagename }}_anthro:
          POSITIVE_PROMPT: anthro {{ species_prompt }}
          IMAGE_WIDTH: 768
          IMAGE_HEIGHT: 768
          SEED: 500000
        {{ species_imagename }}_feral:
          POSITIVE_PROMPT: feral {{ species_prompt }}
          IMAGE_WIDTH: 768
          IMAGE_HEIGHT: 768
          SEED: 500000
        {{ species_imagename }}_male:
          POSITIVE_PROMPT: male {{ species_prompt }}
          IMAGE_WIDTH: 768
          IMAGE_HEIGHT: 768
          SEED: 500000
        {{ species_imagename }}_female:
          POSITIVE_PROMPT: female {{ species_prompt }}
          IMAGE_WIDTH: 768
          IMAGE_HEIGHT: 768
          SEED: 500000"""

creaturelib = loaddict('re_dicts/character_or_species.yml')
for creature in creaturelib:
    temptemplate = template.replace("{{ species_imagename }}", creature['imagename']).replace("{{ species_prompt }}", creature['prompt'])
    print(temptemplate)
